package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月09日 09:02:52
 */
public class CheckAuth {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("Flag")
        private Integer flag;
        @SerializedName("Sysid")
        private String sysid;
        @SerializedName("TenantCode")
        private String tenantCode;
        @SerializedName("HardwareId")
        private String hardwareId;
        @SerializedName("Applicant")
        private String applicant;
        @SerializedName("Job")
        private String job;
        @SerializedName("Memo")
        private String memo;
        @SerializedName("Phone")
        private String phone;
        @SerializedName("ClientType")
        private String clientType;

        public Integer getFlag() {
            return flag;
        }

        public void setFlag(Integer flag) {
            this.flag = flag;
        }

        public String getSysid() {
            return sysid;
        }

        public void setSysid(String sysid) {
            this.sysid = sysid;
        }

        public String getTenantCode() {
            return tenantCode;
        }

        public void setTenantCode(String tenantCode) {
            this.tenantCode = tenantCode;
        }

        public String getHardwareId() {
            return hardwareId;
        }

        public void setHardwareId(String hardwareId) {
            this.hardwareId = hardwareId;
        }

        public String getApplicant() {
            return applicant;
        }

        public void setApplicant(String applicant) {
            this.applicant = applicant;
        }

        public String getJob() {
            return job;
        }

        public void setJob(String job) {
            this.job = job;
        }

        public String getMemo() {
            return memo;
        }

        public void setMemo(String memo) {
            this.memo = memo;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getClientType() {
            return clientType;
        }

        public void setClientType(String clientType) {
            this.clientType = clientType;
        }
    }
}
